OGRE: Ogre::GLES2NullTexture Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLES2NullTexture Class Reference

`#include <OgreGLES2NullTexture.h>`

Inheritance diagram for Ogre::GLES2NullTexture:
[legend]

## Public Member Functions
| GLES2NullTexture (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader, GLES2Support &support)
virtual | ~GLES2NullTexture ()
void | createRenderTexture ()
v1::HardwarePixelBufferSharedPtr | getBuffer (size_t face, size_t mipmap)
| Return hardware pixel buffer for a surface. More...
void | getCustomAttribute (const String &name, void *pData)
GLenum | getGLES2TextureTarget (void) const
GLuint | getGLID () const

## Constructor & Destructor Documentation

## ◆ GLES2NullTexture()

Ogre::GLES2NullTexture::GLES2NullTexture | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader,
|  | GLES2Support & | support
| ) |  |

## ◆ ~GLES2NullTexture()

virtual Ogre::GLES2NullTexture::~GLES2NullTexture | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createRenderTexture()

void Ogre::GLES2Texture::createRenderTexture | ( |  | ) |
| inherited

## ◆ getBuffer()

v1::HardwarePixelBufferSharedPtr Ogre::GLES2Texture::getBuffer | ( | size_t | face,
|  | size_t | mipmap
| ) |  |
| inherited

Return hardware pixel buffer for a surface.

This buffer can then be used to copy data from and to a particular level of the texture.

Parameters

  face | Face number, in case of a cubemap texture. Must be 0 for other types of textures. For cubemaps, this is one of +X (0), -X (1), +Y (2), -Y (3), +Z (4), -Z (5)
  mipmap | Mipmap level. This goes from 0 for the first, largest mipmap level to getNumMipmaps()-1 for the smallest.

Returns
  A shared pointer to a hardware pixel buffer

Remarks
  The buffer is invalidated when the resource is unloaded or destroyed. Do not use it after the lifetime of the containing texture.

## ◆ getCustomAttribute()

void Ogre::GLES2Texture::getCustomAttribute | ( | const String & | name,
|  | void * | pData
| ) |  |
| inherited

## ◆ getGLES2TextureTarget()

GLenum Ogre::GLES2Texture::getGLES2TextureTarget | ( | void |  | ) | const
| inherited

## ◆ getGLID()

GLuint Ogre::GLES2Texture::getGLID | ( |  | ) | const
| inlineinherited

The documentation for this class was generated from the following file:

- OgreGLES2NullTexture.h